import { InteractionApi } from './interactionApi';
import { MultiTouchInteractionHandler } from './multiTouchInteractionHandler';
export declare class TouchInteractionHandler extends MultiTouchInteractionHandler {
    private currentPosition1?;
    private isInteracting?;
    constructor();
    dispose(): void;
    initialize(element: HTMLElement, api: InteractionApi): void;
    private handleTouchStart;
    private handleTouchMove;
    private handleTouchEnd;
    private handleOnePointTouchMove;
}
